Building android on ubuntu 10.04- 32 bit

I am trying to compile Android for Ubuntu 10.04 32 bit system. I am following the guide on http://source.android.com/source/initializing.html

But I get the following error:

You are attempting to build with the incorrect version of java.

Your version is: java version "1.6.0_20". The correct version is: Java SE 1.6.

Guess, ubuntu support for Java SE packages has been halted. Therefore should I now downgrade my Java JDK to 1.6?? Please help

Answers


Here someone faced the very same problem as yours. The solution, "after uninstalling OpenJDK and Sun Java, I reinstalled Sun Java 6 JDK by itself, rebooted, and all is well." Check the link for more informations. While searching for that, I also stumbled upon an issue with 64 bits, that is not your point, but may be useful for someone else.


Need Your Help


About UNIX Resources Network

Original, collect and organize Developers related documents, information and materials, contains jQuery, Html, CSS, MySQL, .NET, ASP.NET, SQL, objective-c, iPhone, Ruby on Rails, C, SQL Server, Ruby, Arrays, Regex, ASP.NET MVC, WPF, XML, Ajax, DataBase, and so on.